VERSION 5.00
Begin VB.Form frmGeneral 
   BackColor       =   &H80000018&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "About MyApp"
   ClientHeight    =   8955
   ClientLeft      =   2340
   ClientTop       =   1935
   ClientWidth     =   8670
   ClipControls    =   0   'False
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6180.9
   ScaleMode       =   0  'User
   ScaleWidth      =   8141.578
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.ListBox List1 
      BackColor       =   &H80000018&
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   7710
      Left            =   240
      TabIndex        =   3
      Top             =   600
      Width           =   8295
   End
   Begin VB.TextBox txtInfo 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   8160
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Text            =   "frmGeneral.frx":0000
      Top             =   8040
      Width           =   375
   End
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   345
      Left            =   3720
      TabIndex        =   0
      Top             =   8520
      Width           =   1260
   End
   Begin VB.Label lblTitle 
      Alignment       =   2  'Center
      BackColor       =   &H80000018&
      Caption         =   "General Information on Features && Usage."
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   345
      Left            =   2040
      TabIndex        =   1
      Top             =   120
      Width           =   5055
   End
End
Attribute VB_Name = "frmGeneral"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdOK_Click()
  Call Unload(frmGeneral)
End Sub

Private Sub Form_Load()
    Me.Caption = "Help on " & App.Title
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "   Range:"
    Me.List1.AddItem " "
    Me.List1.AddItem "           Single Precision Floating Point ranging"
    Me.List1.AddItem "           from -3.402823E38 to -1.401298E-45 for negative values and"
    Me.List1.AddItem "           from 1.401298E-45 to 3.402823E38 for positive values"
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "   Decimal Display:"
    Me.List1.AddItem " "
    Me.List1.AddItem "           Zero to Nine (0-9) places of decimal displayed, rounded to nearest decimal"
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "   Configuration:"
    Me.List1.AddItem " "
    Me.List1.AddItem "           Exchange Rate:"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   On use for the first time EuroCalc creates a file called Eurocalc.xch in the current "
    Me.List1.AddItem "                   directory and requests that you enter the Exchange Rate.  Once you have completed"
    Me.List1.AddItem "                   this task, and unless you elect to change it, this is the rate that will be active every"
    Me.List1.AddItem "                   you access the calculator."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   To provide this information enter the conversion rate for 'one Euro in Pounds' into the"
    Me.List1.AddItem "                   Display, then select the [ Configuration ] Menu and Click [ Set Exchange Rate ]."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   NOTE: Unless there is a market crash... the value you enter will be less than 1.0."
    Me.List1.AddItem "                   If you only know the rate for 'one Pound in Euros' then enter that number into the"
    Me.List1.AddItem "                   Display and press the [1/x] Key.  The result will be 'one Euro in Pounds'."
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "           Decimal Places:"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   All calculations are performed at the highest level of accuracy which should be"
    Me.List1.AddItem "                   adequate for all but 'rocket scientists'.   The calculator always defaults to"
    Me.List1.AddItem "                   displaying your calculations to four decimal places, rounded to the nearest value."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   If you require more or less decimal places then enter the number required into"
    Me.List1.AddItem "                   the Display, then select the [ Configuration ] Menu and Click [ Set Decimals ]."
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "  The lesser known Keys:"
    Me.List1.AddItem " "
    Me.List1.AddItem "           [ ? ]"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   Why do my number keys go grey and not respond?"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   The program is designed to minimise errors and when it expects an Operator Key"
    Me.List1.AddItem "                   e.g. [x], [/], [+] etc. it kills the number keys so you cannot press one in error."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   But I wanted to start a new calculation, what do I do?"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   In that case press the Clear All function button [CA].  This resets the calculator."
    Me.List1.AddItem "                   (Note: It does not reset the Memory store.)"
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "           [1/x]"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   The name for the function that this key performs is 'The Reciprocal'.  It takes"
    Me.List1.AddItem "                   the value shown in the Display and divides it into 1.  For example, if you enter"
    Me.List1.AddItem "                   the number 5 into the display and press [1/x] you get 0.2 as the answer.  Pressing"
    Me.List1.AddItem "                   [5] [1/x] is the same as pressing [1] [/] [5] [=] Both give 0.2 as the answer."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   What use is that?"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   if 1.00 = 1.414 Euros, what is 1.00 Euro in Pounds?"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   Enter 1.414 into the Display and press [1/x]  The answer is 0.7072"
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "           [+/-]"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   The name for the function that this key performs is 'Negation'.  It takes the"
    Me.List1.AddItem "                   value shown in the Display and multiplies it by -1.  For example, if you enter"
    Me.List1.AddItem "                   the number 5 into the display and press [+/-] you get -5 as the answer."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   What use is that?"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   If you are performing a series of calculations and have to multiply by -5, you"
    Me.List1.AddItem "                   cannot just press the Minus Key after the Multiply Key to get the '-' symbol."
    Me.List1.AddItem "                   The Minus Key means Subtract."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   What you do is this.   Say you want to multiply  3 x -5 x 2 then"
    Me.List1.AddItem "                   the keystrokes are [3][x][5][+/-][x][2][=] giving -30 as the answer."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   The calculator does not calculate the last operation until you press [=] or enter"
    Me.List1.AddItem "                   another operator like [+] or [x] or [/] etc. so when you enter the [5] you can"
    Me.List1.AddItem "                   change its sign making it -5 before the next calculation is performed."
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "           [%]"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   The name for the function that this key performs is 'Percent'.   A percentage is"
    Me.List1.AddItem "                   a way of expressing the relationship of any two numbers for comparison with others"
    Me.List1.AddItem "                   using the same 'measure', 100.  In otherwords we break each subject into 100 bits."
    Me.List1.AddItem "                   The number 35 as a percentage of 70 is calculated by dividing 35 by 70 and"
    Me.List1.AddItem "                   multiplying the result by 100.  i.e.  35/70 = 0.5, 0.5 x 100 = 50%."
    Me.List1.AddItem " "
    Me.List1.AddItem "                   How do you use the percent [%] key?"
    Me.List1.AddItem " "
    Me.List1.AddItem "                   To get the percentage of one number measured against another you simply enter the"
    Me.List1.AddItem "                   first number into the Display, then press the [%] Key, enter the second number and"
    Me.List1.AddItem "                   press the [=] key.   e.g.  [3][5][%][7][0][=] and the result is 50%."
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem "           [CA]"
    Me.List1.AddItem "                   Clears All calculations from the calculator.  (Does not clear the Memory store)"
    Me.List1.AddItem " "
    Me.List1.AddItem "           [CE]"
    Me.List1.AddItem "                   Clears the contents of the Display only."
    Me.List1.AddItem " "
    Me.List1.AddItem "           [MC]"
    Me.List1.AddItem "                   Clears the contents of the Memory store.  (Does not effect the calculator)"
    Me.List1.AddItem " "
    Me.List1.AddItem "           [M+]"
    Me.List1.AddItem "                   Adds the contents of the Display to the Memory store."
    Me.List1.AddItem " "
    Me.List1.AddItem "           [M-]"
    Me.List1.AddItem "                   Subtracts the contents of the Display from the Memory store."
    Me.List1.AddItem " "
    Me.List1.AddItem "           [MR]"
    Me.List1.AddItem "                   Copies the contents of the Memory store to the Display."
    Me.List1.AddItem " "
    Me.List1.AddItem "           [|E]"
    Me.List1.AddItem "                   Converts the Display value from Pounds to Euros."
    Me.List1.AddItem " "
    Me.List1.AddItem "           [E|]"
    Me.List1.AddItem "                   Converts the Display value from Euros to Pounds."
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem " "
    Me.List1.AddItem " "



End Sub

